pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package gnatcoll_sqlitemain is

   procedure gnatcoll_sqliteinit;
   pragma Export (C, gnatcoll_sqliteinit, "gnatcoll_sqliteinit");
   pragma Linker_Constructor (gnatcoll_sqliteinit);

   procedure gnatcoll_sqlitefinal;
   pragma Export (C, gnatcoll_sqlitefinal, "gnatcoll_sqlitefinal");
   pragma Linker_Destructor (gnatcoll_sqlitefinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#01675437#;
   pragma Export (C, u00001, "gnatcoll__sql__sqlite__builderB");
   u00002 : constant Version_32 := 16#35d4acad#;
   pragma Export (C, u00002, "gnatcoll__sql__sqlite__builderS");
   u00003 : constant Version_32 := 16#a3172829#;
   pragma Export (C, u00003, "gnatcoll__sql__sqlite__gnadeB");
   u00004 : constant Version_32 := 16#ce3f2262#;
   pragma Export (C, u00004, "gnatcoll__sql__sqlite__gnadeS");
   u00005 : constant Version_32 := 16#9576780a#;
   pragma Export (C, u00005, "gnatcoll__sql__sqliteB");
   u00006 : constant Version_32 := 16#1ca98d4c#;
   pragma Export (C, u00006, "gnatcoll__sql__sqliteS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_dec%s
   --  system.img_dec%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_lld%s
   --  system.img_lld%b
   --  system.io%s
   --  system.io%b
   --  system.machine_code%s
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.case_util%s
   --  system.standard_library%s
   --  system.exception_traces%s
   --  ada.exceptions%s
   --  system.bit_ops%s
   --  ada.characters.handling%s
   --  system.wch_stw%s
   --  system.val_util%s
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.os_lib%s
   --  ada.exceptions.traceback%s
   --  ada.exceptions.last_chance_handler%s
   --  system.secondary_stack%s
   --  system.soft_links%s
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.containers%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  ada.strings%s
   --  system.case_util%b
   --  system.address_image%s
   --  system.bounded_strings%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.exception_traces%b
   --  system.memory%s
   --  system.memory%b
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%b
   --  system.wch_stw%b
   --  system.val_util%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.os_lib%b
   --  interfaces.c%s
   --  ada.exceptions.traceback%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.exceptions.last_chance_handler%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.address_image%b
   --  system.bounded_strings%b
   --  system.standard_library%b
   --  ada.strings.maps%b
   --  system.mmap%s
   --  interfaces.c%b
   --  system.object_reader%s
   --  system.mmap.unix%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.dwarf_lines%s
   --  system.object_reader%b
   --  system.mmap.os_interface%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  system.dwarf_lines%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.strings.equal_case_insensitive%s
   --  ada.strings.equal_case_insensitive%b
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  gnat%s
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  gnat.debug_utilities%s
   --  gnat.debug_utilities%b
   --  gnat.heap_sort%s
   --  gnat.heap_sort%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  gnat.io%s
   --  gnat.io%b
   --  gnat.os_lib%s
   --  gnat.source_info%s
   --  gnat.strings%s
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.fat_llf%s
   --  system.img_real%s
   --  system.img_real%b
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  system.tasking.debug%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.val_bool%s
   --  system.val_bool%b
   --  system.val_enum%s
   --  system.val_enum%b
   --  system.val_real%s
   --  system.val_real%b
   --  system.val_lld%s
   --  system.val_lld%b
   --  system.val_uns%s
   --  system.val_uns%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools%b
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.strings.unbounded.aux%s
   --  ada.strings.unbounded.aux%b
   --  system.val_int%s
   --  system.val_int%b
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  gnat.traceback%s
   --  gnat.traceback%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.checked_pools%s
   --  gnat.debug_pools%s
   --  gnat.debug_pools%b
   --  system.file_attributes%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  gnat.expect%s
   --  gnat.expect%b
   --  system.pool_size%s
   --  system.pool_size%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  gnatcoll%s
   --  gnatcoll.os%s
   --  gnatcoll.os.constants%s
   --  gnatcoll.storage_pools%s
   --  gnatcoll.atomic%s
   --  gnatcoll.atomic%b
   --  gnatcoll.memory%s
   --  gnatcoll.memory%b
   --  gnatcoll.plugins%s
   --  gnatcoll.plugins%b
   --  gnatcoll.storage_pools.headers%s
   --  gnatcoll.storage_pools.headers%b
   --  gnatcoll.refcount%s
   --  gnatcoll.refcount%b
   --  gnatcoll.strings_impl%s
   --  gnatcoll.strings_impl%b
   --  gnatcoll.strings%s
   --  gnatcoll.strings%b
   --  gnatcoll.mmap%s
   --  gnatcoll.mmap.system%s
   --  gnatcoll.mmap.system%b
   --  gnatcoll.mmap%b
   --  gnatcoll.templates%s
   --  gnatcoll.templates%b
   --  gnatcoll.terminal%s
   --  gnatcoll.terminal%b
   --  gnatcoll.utils%s
   --  gnatcoll.utils%b
   --  gnatcoll.sql_impl%s
   --  gnatcoll.sql_impl%b
   --  gnatcoll.sql%s
   --  gnatcoll.sql%b
   --  gnatcoll.vfs_types%s
   --  gnatcoll.io%s
   --  gnatcoll.io%b
   --  gnatcoll.path%s
   --  gnatcoll.path%b
   --  gnatcoll.io.native%s
   --  gnatcoll.io.native%b
   --  gnatcoll.remote%s
   --  gnatcoll.remote.db%s
   --  gnatcoll.remote.db%b
   --  gnatcoll.io.remote%s
   --  gnatcoll.io.remote.windows%s
   --  gnatcoll.io.remote.windows%b
   --  gnatcoll.io.remote.unix%s
   --  gnatcoll.io.remote.unix%b
   --  gnatcoll.io.remote%b
   --  gnatcoll.vfs%s
   --  gnatcoll.vfs%b
   --  gnatcoll.traces%s
   --  gnatcoll.traces%b
   --  gnatcoll.sql.exec%s
   --  gnatcoll.sql.exec.tasking%s
   --  gnatcoll.sql.exec_private%s
   --  gnatcoll.sql.exec_private%b
   --  gnatcoll.sql.exec.tasking%b
   --  gnatcoll.sql.exec%b
   --  gnatcoll.sql.sqlite%s
   --  gnatcoll.sql.sqlite.builder%s
   --  gnatcoll.sql.sqlite%b
   --  gnatcoll.sql.sqlite.gnade%s
   --  gnatcoll.sql.sqlite.gnade%b
   --  gnatcoll.sql.sqlite.builder%b
   --  END ELABORATION ORDER

end gnatcoll_sqlitemain;
